Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, const GIOP::Version &)
TAO_Export void | operator<<= (CORBA::Any &, GIOP::Version *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, GIOP::Version *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const GIOP::Version *&)
TAO_Export void | operator<<= (CORBA::Any &, const GIOP::IORAddressingInfo &)
TAO_Export void | operator<<= (CORBA::Any &, GIOP::IORAddressingInfo *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, GIOP::IORAddressingInfo *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const GIOP::IORAddressingInfo *&)
TAO_Export void | operator<<= (CORBA::Any &, const GIOP::TargetAddress &)
TAO_Export void | operator<<= (CORBA::Any &, GIOP::TargetAddress *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, GIOP::TargetAddress *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const GIOP::TargetAddress *&)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | GIOP::TargetAddress * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const GIOP::TargetAddress & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | GIOP::IORAddressingInfo * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const GIOP::IORAddressingInfo & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | GIOP::Version * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const GIOP::Version & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const GIOP::TargetAddress *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | GIOP::TargetAddress *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const GIOP::IORAddressingInfo *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | GIOP::IORAddressingInfo *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const GIOP::Version *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | GIOP::Version *& |
| ) |